--- old/usr/src/cmd/stat/vmstat/vmstat.c	Thu Jan 24 10:07:37 2019
+++ new/usr/src/cmd/stat/vmstat/vmstat.c	Thu Jan 24 10:07:37 2019
@@ -11,6 +11,10 @@
 /* from UCB 5.4 5/17/86 */
 /* from SunOS 4.1, SID 1.31 */
 
+/*
+ * Copyright (c) 2018, Joyent, Inc.
+ */
+
 #include <stdio.h>
 #include <stdlib.h>
 #include <stdarg.h>
@@ -225,9 +229,6 @@
 	double hr_etime;
 	double reads, writes;
 
-	if (new == NULL)
-		return;
-
 	if (old)
 		oldtime = old->is_stats.wlastupdate;
 	hr_etime = new->is_stats.wlastupdate - oldtime;
